Skip to main content
 print this page

Delete a knowledge base datasource

DELETE 

/ai/knowledgebases/:id/resources/:resource_id

Removes a datasource. Fails if a conflicting sync job is RUNNING. Structured sources are deleted synchronously. Unstructured sources are set to DELETING and removed asynchronously. resource_id is the Bedrock SourceId for unstructured sources, or ResourceKey for structured sources. No request body.

Request​

Responses​

Structured Message is "Source deleted successfully". Unstructured Message is "Source deletion started successfully".

Response Headers
    Access-Control-Allow-Origin
    Access-Control-Allow-Methods
    Access-Control-Allow-Headers